Package org.apache.lucene.util.quantization

## Interface QuantizedVectorsReader

- All Superinterfaces:
    `Accountable`, `AutoCloseable`, `Closeable`
  All Known Implementing Classes:
    `Lucene99HnswVectorsReader`, `Lucene99ScalarQuantizedVectorsReader`

      public interface QuantizedVectorsReader
      extends Closeable, Accountable

  Quantized vector reader
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.lucene.util.Accountable

      `NULL_ACCOUNTABLE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ScalarQuantizer` | `getQuantizationState​(String fieldName)` |
    `QuantizedByteVectorValues` | `getQuantizedVectorValues​(String fieldName)` |

    - ### Methods inherited from interface org.apache.lucene.util.Accountable

      `getChildResources, ramBytesUsed`

    - ### Methods inherited from interface java.io.Closeable

      `close`

- - ### Method Detail

    - #### getQuantizedVectorValues

          QuantizedByteVectorValues getQuantizedVectorValues​(String fieldName)
                                                      throws IOException

      Throws:
        `IOException`

    - #### getQuantizationState

          ScalarQuantizer getQuantizationState​(String fieldName)